RubyGems Navigation menu

spandx 0.17.0

Spanx is a ruby API for interacting with the spdx.org software license catalogue. This gem includes a command line interface to scan a software project for the software licenses that are associated with each dependency in the project. Spandx also allows you to hook additional information for each dependency found. For instance, you can add plugin to Spandx to find and report vulnerabilities for the dependencies it found.

版本列表:

  1. 0.17.0 - December 29, 2020 (28.0 KB)
  2. 0.16.1 - November 19, 2020 (28.0 KB)
  3. 0.16.0 - November 19, 2020 (28.0 KB)
  4. 0.15.1 - November 19, 2020 (27.5 KB)
  5. 0.15.0 - November 18, 2020 (27.5 KB)
显示所有 (36 个版本)

Runtime 依赖关系 (11):

  • addressable ~> 2.7
  • bundler >= 1.16, < 3.0.0
  • net-hippie ~> 1.0
  • nokogiri ~> 1.10
  • oj ~> 3.10
  • parslet ~> 2.0
  • sorted_set ~> 1.0
  • terminal-table ~> 1.8
  • thor >= 0
  • tty-spinner ~> 0.9
  • zeitwerk ~> 2.3
  • Development 依赖关系 (13):

    所有者:

    Pushed by:

    作者:

    • Can Eldem, mo khan

    SHA 256 checksum:

    eebfb4c55219e71f930439882dc586e00a0f062253f6dc137fb4d0c80afea34a

    下载总次数 37,961

    这个版本 336

    Gemfile:
    = 复制到剪贴板 已复制

    安装:
    =

    许可:

    MIT

    需要的 Ruby 版本: >= 2.5.0

    相关链接: